org.springframework.batch.core.configuration.xml

## Class CoreNamespacePostProcessor

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.CoreNamespacePostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.context.ApplicationContextAware

      public class CoreNamespacePostProcessor
      extends java.lang.Object
      implements org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.context.ApplicationContextAware

  Post-process jobs and steps defined using the batch namespace to inject dependencies.
  Since:
    2.0.1
  Author:
    Dan Garrette

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreNamespacePostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`
    `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
    `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreNamespacePostProcessor

          public CoreNamespacePostProcessor()

  - ### Method Detail

    - #### postProcessBeanFactory

          public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                      throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessBeforeInitialization

          public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean,
                                                                  java.lang.String beanName)
                                                           throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessAfterInitialization

          public java.lang.Object postProcessAfterInitialization(java.lang.Object bean,
                                                                 java.lang.String beanName)
                                                          throws org.springframework.beans.BeansException

      Specified by:
        `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`